# Edit this configuration file to define what should be installed on
# your system.  Help is available in the configuration.nix(5) man page
# and in the NixOS manual (accessible by running ‘nixos-help’).

{ config, pkgs, ... }:

{
  imports =
    [ 
      ./hardware-configuration.nix
      ../../common/common.nix
      #./wireguard.nix
    ];

  # Use the GRUB 2 boot loader.
  boot.loader.grub.enable = true;
  boot.loader.grub.version = 2;
  boot.loader.grub.device = "/dev/vda"; # or "nodev" for efi only

  networking.hostName = "arion"; 

  networking.useDHCP = false;
  networking.interfaces.ens4.useDHCP = true;
  networking.interfaces.ens3.ipv4.addresses = [ {
    address = "91.228.52.159";
    prefixLength = 24;
  } ];
  networking.defaultGateway = "91.228.52.1";
  networking.interfaces.ens3.ipv6.addresses = [{
    address = "2001:67c:12a0:264::2";
    prefixLength = 64;
  }];
  networking.defaultGateway6 = {
    address = "2001:67c:12a0:264::1";
    interface = "ens3";
  };
}