{ config, pkgs, ...}:

{
    networking.firewall.allowedTCPPorts = [ 53 ];
    networking.firewall.allowedUDPPorts = [ 67 ];
    services.dnsmasq = {
        enable = true;
        resolveLocalQueries = true;
        servers = [ "141.24.40.3" "141.24.40.4" ];
        extraConfig = ''
            domain-needed
            bogus-priv
            interface=ens19
            expand-hosts
            domain=gari
            dhcp-range=10.23.42.50,10.23.42.200,12h
            dhcp-option=3,10.23.42.1
            dhcp-lease-max=150
            dhcp-rapid-commit
            listen-address=127.0.0.1
            listen-address=10.23.42.1
        '';
    };
} 